﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace TapDemo
{
    public partial class MainPage : PhoneApplicationPage
    {


        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        int count = 0;
        private void Tap_MouseEnter(object sender, MouseEventArgs e)
        {
            Feedback(sender, "Tap Enter", 50, 100, Colors.White);
        }
        
        private void Tap_LeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Feedback(sender, "Tap Down", 300, 100, Colors.Red);
        }


        private void Tap_MouseMove(object sender, MouseEventArgs e)
        {
            Feedback(sender, (count++).ToString() + " Move", 400, 100, Colors.Orange); 
        }
        
        private void Tap_LeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            Feedback(sender, "Tap Up", 200, 100, Colors.Yellow);
        }

        private void Tap_MouseLeave(object sender, MouseEventArgs e)
        {
            Feedback(sender, "Tap Leave", 200, 100, Colors.Blue);
            count = 0;
        }

        private void Feedback(object sender, string msg, double width, double height, Color color)
        {
            Rectangle rect = sender as Rectangle;
            if (null != rect)
            {
                rect.Width = width;
                rect.Height = height;
                rect.Fill = new SolidColorBrush(color);
                this.listBox1.Items.Insert(0, msg);
            }
        }
    }
}